Bug 125390 - Gtk3 theme settings with small sizes for scrollbars make them unusable
Summary: Gtk3 theme settings with small sizes for scrollbars make them unusable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Scrollbars gtk3-themeing
  Show dependency treegraph
 
Reported: 2019-05-20 14:13 UTC by Ilhan Yesil
Modified: 2022-02-01 04:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample gtk file (190.37 KB, text/css)
2019-07-05 13:58 UTC, Ilhan Yesil
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ilhan Yesil 2019-05-20 14:13:57 UTC
Description:
If too small sizes are defined in a Gtk3 theme for scrollbars, the scrollbar can not be chatched by the mouse, if moving it over the thump.

Steps to Reproduce:
1. Choose a gtk3 theme, where small sizes are defined for scrollbars. If not available, change the theme breeze for example:
Open file /usr/share/themes/Breeze/gtk-3.20/gtk.css,
search for the section "Scrollbars" and set min-width and min-height to 5px

2. Open writer and try to grab the thump.


Actual Results:
Directly over the thump, it is not possible to use the mouse. Scrolling is only possible by mouse-wheels.

Expected Results:
The mouse should be able to grab the thump and move it by holding the left mouse button.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Xisco Faulí 2019-06-10 16:10:06 UTC
Hello Ilhan,
Could you please mention a few gtk3 themes we could you for this test ?
Comment 2 Ilhan Yesil 2019-07-05 13:58:21 UTC
Created attachment 152592 [details]
Sample gtk file

This is my installation file /usr/share/themes/Breeze/gtk-3.20/gtk.css
where at line 3133 and 3134, I've changed the values from 14px to 5px.

    min-width: 14px;
    min-height: 14px;

to 

    min-width: 5px;
    min-height: 5px;
Comment 3 QA Administrators 2019-07-06 02:47:46 UTC Comment hidden (obsolete)
Comment 4 Kevin Suo 2020-02-01 15:08:51 UTC
I already encountered the same issue some days ago with gtk3 on Ubuntu 18.04 LTS, not only on Writer, but also in Calc. The horizental scroll bar in Calc is so tiny that I always clicked to the wrong position.

Now, I switched one of my laptap to Fedora 31. On Fedora 31, the scroll bar works much better.

Ubuntu 18.04 uses Gnome 3.24, while Fedora 31 uses Gnome 3.34.
Comment 5 QA Administrators 2022-02-01 04:46:00 UTC
Dear Ilhan Yesil,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug